Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
    Lorenz Herzberger
    @LaurentDeMontBlanc
    I'll take a look at it
    Lorenz Herzberger
    @LaurentDeMontBlanc
    @Sangatdas planetmint/planetmint#48 pls review an merge if the pipeline succeeds
    Lorenz Herzberger
    @LaurentDeMontBlanc
    @Sangatdas i added the missing dependencies planetmint/planetmint-driver-python#16 pls review and merge
    Jürgen Eckel
    @eckelj
    hi, can someone review this PR: planetmint/PRPs#8
    enesturk
    @emotemot

    Hey everyone, I'm getting an error like this when I try to use make html command in docs. Anyone knows how to import planetmint.iomon? @eckelj

    Could not import extension generate_http_server_api_documentation (exception: No module named 'planetmint.iomon')

    Sangat Das
    @Sangatdas
    it's actually planetmint.common
    please rename iomon to common
    enesturk
    @emotemot
    image.png
    Haha, fixed it thanks @Sangatdas , but come up with another isse under GitHub/planetmint/docs/root/source/contributing/cross-project-policies/code-of-conduct 2.md:8:duplicate label contributor code of conduct
    any idea how to fix it?
    Sangat Das
    @Sangatdas
    delete one of the code-of-conduct files
    Lorenz Herzberger
    @LaurentDeMontBlanc
    hey everyone, we now have a scalable integration test setup with docker. Can someone review planetmint/planetmint#57 I jsut added a little TODO comment but the pipeline should succeed
    enesturk
    @emotemot

    Latest issue is this @Sangatdas :

    Warning, treated as error:
    `autodoc: failed to import class 'Planetmint' from module 'planetmint'; the following exception was raised:
    Traceback (most recent call last):
    File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/site-packages/sphinx/util/inspect.py", line 225, in safe_getattr
    return getattr(obj, name, *defargs)
    AttributeError: module 'planetmint' has no attribute 'Planetmint'

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/site-packages/sphinx/ext/autodoc/importer.py", line 193, in import_object
    obj = attrgetter(obj, attrname)
    File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/site-packages/sphinx/ext/autodoc/init.py", line 290, in get_attr
    return autodoc_attrgetter(self.env.app, obj, name, defargs)
    File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/site-packages/sphinx/ext/autodoc/init.py", line 1563, in autodoc_attrgetter
    return safe_getattr(obj, name,
    defargs)
    File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/site-packages/sphinx/util/inspect.py", line 241, in safe_getattr
    raise AttributeError(name)
    AttributeError: Planetmint`

    3 replies
    Julian Popescu
    @jpopesculian:chat.julian.dev
    [m]
    👋 hehe I finally get to use my matrix homeserver for something
    2 replies
    Sangat Das
    @Sangatdas
    Please review and merge planetmint/planetmint#60
    Jürgen Eckel
    @eckelj
    @Sangatdas you have to remove all the warnings mentioend by flake8, you can locally intsall it and check all your python file: https://app.travis-ci.com/github/planetmint/planetmint/jobs/562786450
    it's a linter to ensure coding standards and to enforce some best practises
    Jürgen Eckel
    @eckelj
    @ArpitShukla007 @Sangatdas did you fix your PR issues?
    Sangat Das
    @Sangatdas
    it's in progress, will update PR once done
    Jürgen Eckel
    @eckelj
    @Sangatdas perfect, just saw it, just some minor things left! just have look at https://app.travis-ci.com/github/planetmint/planetmint/jobs/563121429
    1 reply
    Jürgen Eckel
    @eckelj
    @Sangatdas @ArpitShukla007 I just uploaded some adidtions to on how to get compose/decompose implemented to: https://github.com/planetmint/PRPs/tree/PRP5
    Jürgen Eckel
    @eckelj

    we just do not assign the consumed goods to the outputs, I wrote everything down in PRP5- branch PRP5. please have look. on top, thank you for refactoring. I think it's great!
    at the same time, I got a little bit confused by the way the schema-validation is currently set up (not by you). I guess you saw this, too.

    electoin, vote and validator_election do have a 'validate_schema()' method. but not the other transactions. At the same time, there is another transaction-class in planetmint/models.py: Transactions which derives from transaction, and in this class the method (validate_schema) is overwritten and issued for all transaction-subclasses. do you know the purpose of this class? is this just a OO hack ?

    2 replies
    Arpit Shukla
    @ArpitShukla007

    Hello everyone,

    I would like to know your thoughts regarding the removal of ‘Create’ and ‘Transfer’ related logic from the planetmint/planetmint/transactions/common/transaction.py and to add it as seperate classes in the planetmint/planetmint/transactions/types/ directory. May be moving forward at some time we can work on it.

    In this way it would be more organised and modular as we are scalling up. Please let me know your thoughts on this @eckelj @Sangatdas . Thanks!

    Jürgen Eckel
    @eckelj
    @ArpitShukla007 I like it
    Sangat Das
    @Sangatdas
    Sorry guys, totally forgot about the rescheduled meeting time. Arpit and my updates are as follows: We both are working parallely on removing create and transfer methods from transaction base class and resolving all issues in test cases. We are also working on Compose/decompose proposals. Arpit won't be available today and on Monday.
    Arpit Shukla
    @ArpitShukla007

    Hello @Sangatdas @eckelj ,

    The acceptance test in the PR is failing and the issue is related to test_zenroom. Please check it:
    planetmint/planetmint#61

    1 reply
    Jürgen Eckel
    @eckelj
    Jürgen Eckel
    @eckelj
    @Sangatdas @ArpitShukla007 there is still one flake issue: https://app.travis-ci.com/github/planetmint/planetmint/jobs/564353603
    Lorenz Herzberger
    @LaurentDeMontBlanc
    @eckelj This fixes the pipeline issues and should in turn also fix the planetmint-driver pipeline planetmint/planetmint#63
    Lorenz Herzberger
    @LaurentDeMontBlanc
    @eckelj works now as intended planetmint/planetmint-driver-python#17
    1 reply
    Lorenz Herzberger
    @LaurentDeMontBlanc
    @eckelj I pinned werkzeug version to fix pipeline, I will open a ticket for updating install dependencies planetmint/planetmint#76
    Lorenz Herzberger
    @LaurentDeMontBlanc
    @ArpitShukla007 planetmint/planetmint#81 this pr contains the changes to the transaction schema folder
    2 replies
    pls review
    Jürgen Eckel
    @eckelj
    @LaurentDeMontBlanc I just pushed some fixes to planetmint. the missing schemes caused building/testing troubles for the drivers. the nodes actually didn't start accordingly. having that, also the planetmint-driver-python builds work again
    5 replies
    Jürgen Eckel
    @eckelj

    @ArpitShukla007 @LaurentDeMontBlanc I am asking myself where and how the object/variable test_client is defined in the following code:

    async def test_websocket_string_event(test_client, loop):
        from bigchaindb.web.websocket_server import init_app, POISON_PILL, EVENTS_ENDPOINT
        event_source = asyncio.Queue(loop=loop)
        app = init_app(event_source, loop=loop)
        client = await test_client(app)

    I cannot find any fixtures.

    the same for the object / varialbe of loop in the same function
    Lorenz Herzberger
    @LaurentDeMontBlanc
    @ArpitShukla007 i created the branch https://github.com/planetmint/planetmint/tree/asset-migration it contains the fixes I implemented so far. I'm currently working on the test_digital_assets.py tests
    I'll add a description for debugging unit test cases to the tests/README.md as well
    Arpit Shukla
    @ArpitShukla007

    Hi @LaurentDeMontBlanc ,

    Thanks for sharing. I will follow up on this branch and start the debugging along.

    Lorenz Herzberger
    @LaurentDeMontBlanc
    :thumbsup:
    Lorenz Herzberger
    @LaurentDeMontBlanc
    @andreitricolici is that a tarantool or planetmint specific issue? planetmint/planetmint#82
    I encountered an issue with validating hashes of tx bodies when testing transfer transactions
    andreitricolici
    @andreitricolici
    @LaurentDeMontBlanc , it is related to the specific of how logic of transactions is working in project, and also it is specific for using tarantool, but in future, be could remove that by making a standard for transaction object.
    Jürgen Eckel
    @eckelj
    dear all: can someone review the following PR : planetmint/planetmint#88
    Arpit Shukla
    @ArpitShukla007
    Hi @eckelj ,
    Approved the changes. Please check on the CI build issue once, thanks.
    enesturk
    @emotemot

    @eckelj Can you review this?

    planetmint/planetmint#86

    enesturk
    @emotemot
    planetmint/planetmint#103 @eckelj can you review this one?
    enesturk
    @emotemot
    I won't be joining to the daily. I still have some bugs regarding rtd build. I'll update @eckelj today.
    Jürgen Eckel
    @eckelj
    @ArpitShukla007 I turned your commit into a PR, the tests are failing, can you fix that? planetmint/cryptoconditions#13
    Arpit Shukla
    @ArpitShukla007
    Sure @eckelj , I’ll check it out and get back.
    Lorenz Herzberger
    @LaurentDeMontBlanc
    @ArpitShukla007 pls review this PR planetmint/cryptoconditions#13 i fixed the zenroom test, pipeline is now running as intended
    Arpit Shukla
    @ArpitShukla007
    Reviewed and merged @LaurentDeMontBlanc @eckelj